loading an sld without uom attribute should set ouptput units to mapunits

2013-10-31 02:03 PM - Harm Olthof

Status: Closed

Priority: Normal

Assignee:

Category: Symbology

Affected QGIS version:2.0.1 Regression?: No

Operating System: Easy fix?: No

Pull Request or Patch supplied:No Resolution:

Crashes QGIS or corrupts data:No Copied to github as #: 17639

Description

When loading an sld where in the sizes no uom attribute is given, it can be assumed that the output units are "MapUnits". However the

output units are by default mm, so this should be adjusted manually.

Since it the output setting can be inferred from the sld, imho it should be automatically set.

Associated revisions

Revision 87736387 - 2017-05-16 01:00 PM - Blottiere Paul 

[bugfix] Fix unit of sizes when reading a SLD file (fixes #8978)

Revision 4beeb31a - 2017-09-12 12:32 PM - Luigi Pirelli

[bugfix] backport from 3.0 Fix unit of sizes when reading a SLD file (fixes #8978)

Revision 1d702d29 - 2017-09-13 10:30 AM - Alessandro Pasotti 

Merge pull request #5144 from boundlessgeo/Backport_Fix_uom_reading

[bugfix] backport from 3.0 Fix unit of sizes when reading a SLD file (fixes #8978)

History

#1 - 2014-02-07 05:10 AM - Giovanni Manghi

- Category set to Symbology

- Priority changed from High to Normal

There is no crash or data corruption, so I'm lowering the priority.

#2 - 2015-04-15 06:02 AM - Harm Olthof

- Target version set to Future Release - High Priority

#3 - 2015-04-15 06:50 AM - Jukka Rahkonen

Hi,
I checked the SLD 1.1.0 document "05-077r4_OpenGIS_Symbology_Encoding_Implementation_Specification.pdf"

From the page 14:

"If no uom is set inside of Symbolizer, all units are measured in pixel, the behaviour used by SLD 1.0.0."

#4 - 2015-04-15 07:20 AM - Harm Olthof

Exactly! So why has the QGIS-GUI set the ouput to mm? 

It should be set to "map units" when you load such an sld.

#5 - 2016-08-10 01:15 AM - Pierre-Yves Abalain

Hi,

I support your request, because I'm facing this problem when developping a program to export styles from ArcGIS to QGis, passing by a SLD file.

QGis should accept pixel as default unit when loading a SLD.

Different way to do this I Think :

    -  offer the possibility to have a global parameter in QGis to set default units for everything : pixel/millimeter/map units

    -  treat unit as pixel by default when loading SLD

    -  when loading a SLD, propose the user to choose the unit

#6 - 2016-11-18 05:00 AM - Koen DeBaets

At AIV , the Flemish Agency of (Geographic) Information, we would like to provide our geospatial data with 

an SLD as (software independent) symbolisation file. This is a request from many of our users (government institutions, businesses and citizens)

But we face the same problem: all measures in our SLD's use the default unit 'pixel', but when loading the SLD in QGis (2.16), the assigned units are 'mm'.

I would expect QGis to accept pixel as default unit.

#7 - 2017-05-01 01:09 AM - Giovanni Manghi

- Regression? set to No

- Easy fix? set to No

#8 - 2017-05-19 08:54 AM - Anonymous

- % Done changed from 0 to 100

- Status changed from Open to Closed

Applied in changeset commit:qgis|877363873fe99528a9cd3ffbc2f6fb2afeda5f1c.
